/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

* {
	font-family: "Nunito Sans", sans-serif;
}

.link-finder, span[data-link], a, span[data-link-blank] {
	cursor: pointer;
}



.h1, h1 {
  font-size: 45px;
  font-weight: 800;
  line-height: 50px;
}

.h2, h2 {
  font-size: 30px;
  font-weight: 700;
  line-height: 36px;
}

.h3, h3 {
  font-size: 26px;
  font-weight: 700;
  line-height: 30px;
}

.h4, h4 {
  font-size: 20px;
  font-weight: 700;
  line-height: 24px;
}

.h5, h5 {
  font-size: 18px;
  font-weight: 700;
  line-height: 22px;
}

.h6, h6 {
  font-size: 16px;
  font-weight: 700;
  line-height: 22px;
}

.rank-math-breadcrumb,
.rank-math-breadcrumb a,
.rank-math-breadcrumb .separator,
.rank-math-breadcrumb p {
	color: #fff;
	font-family: "nunito sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.rank-math-breadcrumb .last {
	font-weight: 400;
}

.rank-math-breadcrumb a:hover {
	text-decoration: underline;
}

.breadcrumb-noir .rank-math-breadcrumb,
.breadcrumb-noir .rank-math-breadcrumb a,
.breadcrumb-noir .rank-math-breadcrumb .separator,
.breadcrumb-noir .rank-math-breadcrumb p {
	color: #2A2A2A;
}

.red-line-left, 
.red-line-center,
.white-line-left,
.white-line-center {
    width: fit-content;
}

.red-line-left::after,
.red-line-center::after {
	content: url('/wp-content/uploads/2025/03/red-line.svg');
    margin-top: -15px;
	height: 15px;
}

.red-line-left::after {
	display: block;
}

.red-line-center::after {
	display: flex;
    justify-content: center;
}

.white-line-left::after,
.white-line-center::after {
	content: url('/wp-content/uploads/2025/03/white-line.svg');
    margin-top: -15px;
	height: 15px;
}

.white-line-left::after {
	display: block;
}

.white-line-center::after {
	display: flex;
    justify-content: center;
}

/* Buttons */
/* Blanc */
.btn-blanc a.elementor-button-link {
    background-color: #FFF;
    border-radius: 4px;
}

.btn-blanc a.elementor-button-link .elementor-button-text {
    color: #214181;
	font-family: 'Nunito Sans', sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.btn-blanc a.elementor-button-link:hover,
.btn-blanc a.elementor-button-link:focus,
.btn-blanc a.elementor-button-link:active,
.btn-blanc a.elementor-button-link:hover:focus,
.btn-blanc a.elementor-button-link:hover:active {
    background-color: #FFF;
}

.btn-blanc a.elementor-button-link:hover .elementor-button-text,
.btn-blanc a.elementor-button-link:focus .elementor-button-text,
.btn-blanc a.elementor-button-link:active .elementor-button-text,
.btn-blanc a.elementor-button-link:hover:focus .elementor-button-text,
.btn-blanc a.elementor-button-link:hover:active .elementor-button-text {
    color: #214181;
	font-weight: 700;
}

/* Blanc texte rouge*/
.btn-blanc-rouge a.elementor-button-link {
    background-color: #FFF;
    border-radius: 4px;
}

.btn-blanc-rouge a.elementor-button-link .elementor-button-text {
    color: #D92929;
	font-family: 'Nunito Sans', sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

/* Blanc texte rouge + border */
.btn-blanc-rouge-border a.elementor-button-link {
    background-color: #FFF;
    border-radius: 4px;
	border: 1px solid #D92929;
}

.btn-blanc-rouge-border a.elementor-button-link .elementor-button-text {
    color: #D92929;
	font-family: 'Nunito Sans', sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

/* Rouge */
.btn-rouge a.elementor-button-link {
    background-color: #D92929;
    border-radius: 4px;
}

.btn-rouge a.elementor-button-link .elementor-button-text {
    color: #fff;
	font-family: 'Nunito Sans', sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.btn-rouge a.elementor-button-link:hover,
.btn-rouge a.elementor-button-link:focus,
.btn-rouge a.elementor-button-link:active,
.btn-rouge a.elementor-button-link:hover:focus,
.btn-rouge a.elementor-button-link:hover:active {
    background-color: #D92929;
}

.btn-rouge a.elementor-button-link:hover .elementor-button-text,
.btn-rouge a.elementor-button-link:focus .elementor-button-text,
.btn-rouge a.elementor-button-link:active .elementor-button-text,
.btn-rouge a.elementor-button-link:hover:focus .elementor-button-text,
.btn-rouge a.elementor-button-link:hover:active .elementor-button-text {
    font-weight: 700;
}

/* Rouge et blanc */
.btn-rouge-blanc a.elementor-button-link {
    background-color: #D92929;
    border-radius: 4px;
	border: 1px solid #fff;
}

.btn-rouge-blanc .elementor-button-text {
    color: #fff;
	font-family: 'Nunito Sans', sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.btn-rouge-blanc a.elementor-button-link:hover,
.btn-rouge-blanc a.elementor-button-link:focus,
.btn-rouge-blanc a.elementor-button-link:active,
.btn-rouge-blanc a.elementor-button-link:hover:focus,
.btn-rouge-blanc a.elementor-button-link:hover:active {
    background-color: #D92929;
}

.btn-rouge-blanc a.elementor-button-link:hover .elementor-button-text,
.btn-rouge-blanc a.elementor-button-link:focus .elementor-button-text,
.btn-rouge-blanc a.elementor-button-link:active .elementor-button-text,
.btn-rouge-blanc a.elementor-button-link:hover:focus .elementor-button-text,
.btn-rouge-blanc a.elementor-button-link:hover:active .elementor-button-text {
    font-weight: 700;
}

/* Bleu */
.btn-bleu a.elementor-button-link {
    background-color: #214181;
    border-radius: 4px;
}

.btn-bleu a.elementor-button-link .elementor-button-text {
    color: #fff;
	font-family: 'Nunito Sans', sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.btn-bleu a.elementor-button-link:hover,
.btn-bleu a.elementor-button-link:focus,
.btn-bleu a.elementor-button-link:active,
.btn-bleu a.elementor-button-link:hover:focus,
.btn-bleu a.elementor-button-link:hover:active {
    background-color: #3269D9;
}

.btn-bleu a.elementor-button-link:hover .elementor-button-text,
.btn-bleu a.elementor-button-link:focus .elementor-button-text,
.btn-bleu a.elementor-button-link:active .elementor-button-text,
.btn-bleu a.elementor-button-link:hover:focus .elementor-button-text,
.btn-bleu a.elementor-button-link:hover:active .elementor-button-text {
    font-weight: 700;
}


/* Blanc border bleu */
.btn-blanc-border-bleu a.elementor-button-link {
    background-color: #fff;
    border-radius: 4px;
	border: 1px solid #214181;
}

.btn-blanc-border-bleu a.elementor-button-link .elementor-button-text {
    color: #214181;
	font-family: 'Nunito Sans', sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.btn-blanc-border-bleu a.elementor-button-link:hover .elementor-button-text,
.btn-blanc-border-bleu a.elementor-button-link:focus .elementor-button-text,
.btn-blanc-border-bleu a.elementor-button-link:active .elementor-button-text,
.btn-blanc-border-bleu a.elementor-button-link:hover:focus .elementor-button-text,
.btn-blanc-border-bleu a.elementor-button-link:hover:active .elementor-button-text {
    font-weight: 700;
}


.check-valid .elementor-heading-title {
	display: flex;
	align-items: center;
	gap: 0 16px;
}

.check-valid .elementor-heading-title::before {
	content: url('/wp-content/uploads/2025/03/check-valid.svg');
	width: 32px;
	height: auto;
}

/* Caroussel utils */
.owl-carousel .owl-nav button.owl-prev,
.owl-carousel .owl-nav button.owl-next {
	background: #214181 !important;
    display: flex !important;
    padding: 10px !important;
	position: absolute;
	top: 50%;
    transform: translateY(-50%);
}

.owl-carousel .owl-nav button.owl-prev {
	left: 16px;
}

.owl-carousel .owl-nav button.owl-next {
	right: 16px;
}

.woocommerce-categories .owl-stage,
.woocommerce-new-products .owl-stage,
.woocommerce-products .owl-stage,
.slider-materiaux .owl-stage {
	padding-left: 0 !important;
}

/* Slider categorie de produit */
.woocommerce-categories .category-item {
	position: relative;
	border: 1px solid #C5C7C6;
	border-radius: 4px;
	height: 375px;
	background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.woocommerce-categories.owl-carousel .owl-nav button.owl-prev,
.woocommerce-categories.owl-carousel .owl-nav button.owl-next {
	background: #3269D9 !important;
	border: 1px solid #fff;
}

.woocommerce-categories .category-item img {
	border-radius: 4px;
}

.woocommerce-categories .category-item a {
	position: absolute;
	bottom: 0;
    left: 0;
    padding: 24px;
}

.woocommerce-categories .category-item a p {
	color: #FFF;
	font-family: "Nunito Sans", sans-serif;
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	margin-bottom: 0 !important;
}

/* Slider nouveau produit */
.woocommerce-new-products .product-item,
.woocommerce-products .product-item {
    padding: 12px;
    border: 1px solid #99B9F9;
    border-radius: 4px;
}

.woocommerce-new-products .product-item .product-title,
.woocommerce-products .product-item .product-title {
    margin: 12px 0 20px 0;
}

.woocommerce-new-products .product-item .product-price,
.woocommerce-products .product-item .product-price, 
.product.type-product .product-price {
   	display: flex;
	gap: 0 5px;
}

.product.type-product .product-price {
   	flex-wrap: wrap;
}

.woocommerce-new-products .product-item .product-button,
.woocommerce-products .product-item .product-button {
    background-color: #214181;
	color: #fff;
	width: 100%;
	padding: 12px 20px;
	border-radius: 4px;
	display: flex;
	justify-content: center;
	margin-top: 12px;
	font-weight: 700;
}

.woocommerce-new-products .product-item .product-button:hover,
.woocommerce-products .product-item .product-button:hover {
    background-color: #3269D9;
}

.woocommerce-new-products .product-item p,
.woocommerce-products .product-item p {
    margin-bottom: 0;
}

.woocommerce-new-products .product-item .product-image,
.woocommerce-products .product-item .product-image {
    border-radius: 4px;
}

.woocommerce-categories .category-item a {
	position: absolute;
	bottom: 0;
    left: 0;
    padding: 24px;
}

.woocommerce-categories .category-item a p {
	color: #FFF;
	font-family: "Nunito Sans", sans-serif;
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	margin-bottom: 0 !important;
}

.woocommerce-categories .owl-stage {
	padding-left: 0 !important;
}

/* Page category */
h1.titre-categorie-seo {
	color: #2A2A2A;
	text-align: center;
	font-family: "nunito sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 22px;
	letter-spacing: 0.64px;
}

.bouton-configuration-produit {
	background-color: #214181;
	color: #fff;
	width: 100%;
	padding: 12px 20px;
	border-radius: 4px;
	display: flex;
	justify-content: center;
	margin-top: 12px;
}

.bouton-configuration-produit:hover {
	background-color: #3269D9;
	color: #fff;
}

.woocommerce ul.products li.product .price {
	margin-bottom: 0;
}

.woocommerce ul.products {
	padding-top: 1.25rem !important;
}

.woocommerce form.woocommerce-ordering select.orderby {
	border-color: #C5C7C6;
    color: #7A7A7A;
	border-radius: 4px;
}

.woocommerce ul.products li.product .button {
	width: 100%;
	text-align: center;
}

.woocommerce nav.woocommerce-pagination ul li span.current {
	border-radius: 50px;
    padding: 7px 10px;
}

.woocommerce-child-categories .container-child-cat {
	border-radius: 4px;
	border: 1px solid #2A2A2A;
	padding: 12px 20px;
}

.woocommerce-child-categories .category-button {
	color: #2A2A2A;
	font-family: "nunito sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 22px;
	letter-spacing: 0.64px;
}

/* Slider produit */
.custom-product-slider #main-slider .item img {
	width: 100%;
	height: 100%;
}

.custom-product-slider #thumb-slider {
	margin: 1rem 3.5rem;
}

.custom-product-slider #thumb-slider .item,
.custom-product-slider #main-slider .item {
	margin: 0 12px;
}

.custom-product-slider #thumb-slider .item img,
.custom-product-slider #main-slider .item img {
	border-radius: 4px;
}

.custom-product-slider button.slick-arrow {
	background: #214181 !important;
    display: flex !important;
    padding: 10px !important;
	position: absolute;
	top: 50%;
    transform: translateY(-50%);
	z-index: 9;
	border: none;
}

.woocommerce-tabs ul.wc-tabs li a {
	border-bottom: 1px solid #C5C7C6;
	padding: 0 3rem;
}

.woocommerce-tabs ul.wc-tabs li.active a {
	border-bottom: 1px solid #214181;
	color: #214181 !important;
}

.custom-product-slider #thumb-slider button.slick-prev {
	left: -40px;
}

.custom-product-slider #thumb-slider button.slick-next {
	right: -40px;
}

.woocommerce div.product form.cart .variations tbody tr:hover>td, 
.woocommerce div.product form.cart .variations tbody tr:hover>th,
.woocommerce div.product form.cart .variations tbody>tr:nth-child(odd)>td, 
.woocommerce div.product form.cart .variations tbody>tr:nth-child(odd)>th {
	background-color: transparent;
}

.elementor-add-to-cart .single_variation_wrap button.single_add_to_cart_button {
	width: 100%;
	background-color: #214181 !important;
	color: #FFF !important;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px;
	font-weight: 700;
	line-height: 24px;
	border-radius: 4px;
}

.woocommerce div.product form.cart .reset_variations {
	color: #214181;
}

.woocommerce div.product form.cart .variations {
    margin-bottom: 0;
}

.woocommerce div.product form.cart .variations select {
	border: 1px solid #C5C7C6;
}

.elementor-add-to-cart .single_variation_wrap button.single_add_to_cart_button:hover {
	background-color: #3269D9 !important;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product .stock {
	color: #214181;
}

.woocommerce-new-products .red-line-left {
	color: #2A2A2A;
	font-family: "nunito sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 22px;
	letter-spacing: 0.64px;
	margin-bottom: 5px;
}

.woocommerce-new-products .flex {
	display: flex;
    justify-content: space-between;
    align-items: center;
}

.woocommerce-new-products .product-button {
    background-color: #214181;
	color: #fff;
	width: 100%;
	padding: 12px 20px;
	border-radius: 4px;
	display: flex;
	justify-content: center;
	margin-top: 12px;
}

.woocommerce-new-products .product-button:hover {
    background-color: #3269D9;
}

.woocommerce-new-products .product-price bdi {
    color: #2a2a2a;
}

@media (max-width: 560px) {
	.custom-product-slider #thumb-slider .item {
		margin: 0 5px;
	}
	
	#tab-description table td, #tab-description table th {
		padding: 5px;
	}
}

@media (max-width: 767px) {
	.woocommerce-new-products .flex {
		flex-direction: column;
		align-items: flex-start;
		margin-bottom: 1rem;
	}	
}

@media (max-width: 1024px) {
	.woocommerce div.product .woocommerce-tabs ul.tabs, .woocommerce #tab-description, .woocommerce #tab-additional_information, .woocommerce #tab-reviews {
		padding: 0rem;
	}
}

/* Formulaire */

.elementor-field-type-acceptance .elementor-field-option {
	display: flex;
	align-items: flex-start;
}

.elementor-field-type-acceptance .elementor-field-option .elementor-acceptance-field {
	margin-top: 5px;
	margin-right: 5px;
}

.politique {
	font-weight: 700;
	color: #2a2a2a;
}

.checkbox-grey {
	display: flex;
	gap: 5px;
	align-items: center;
}

.checkbox-grey::before {
	content: url('/wp-content/uploads/2025/04/checkbox-grey.svg');
	margin-bottom: -4px;
}

.elementor-widget-form .e-form__indicators__indicator {
	display: flex;
	flex-direction: row;
	gap: 10px;
	padding: 0 10px;
}

.elementor-widget-form label.e-form__indicators__indicator__label {
	text-wrap: nowrap;
	margin-bottom: 5px;
}

.elementor-widget-form .e-form__indicators__indicator .e-form__indicators__indicator__number {
	background-color: #E2E2E2;
	color: #ffffff;
	font-family: "Nunito Sans", sans-serif;
	font-size: 14px;
	font-style: normal;
	font-weight: 700;
	line-height: 22px;
}

.elementor-widget-form .e-form__indicators__indicator .e-form__indicators__indicator__label {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.elementor-widget-form .e-form__indicators__indicator--state-active .e-form__indicators__indicator__number {
	background-color: #3269D9;
	color: #ffffff;
	font-family: "Nunito Sans", sans-serif;
	font-size: 14px;
	font-style: normal;
	font-weight: 700;
	line-height: 22px;
}

.elementor-widget-form .e-form__buttons {
	display: flex;
	flex-direction: column;
	flex-wrap: unset;
}

.elementor-widget-form .e-form__buttons .e-form__buttons__wrapper {
	margin-bottom: 15px !important;
}

@media (max-width: 1024px) {
	.elementor-form .e-form__indicators {
		flex-wrap: wrap;
	}
	
	.elementor-form .e-form__indicators__indicator {
		margin-top: 20px;
	}
}

@media (max-width: 767px) {
	.elementor-widget-form .e-form__indicators__indicator .e-form__indicators__indicator__number {
		font-family: "Nunito Sans", sans-serif;
		font-size: 11px;
		line-height: 18px;
	}

	.elementor-widget-form .e-form__indicators__indicator .e-form__indicators__indicator__label {
		font-size: 16px;
		line-height: 20px;
	}
}


/* Page panier */
.woocommerce-cart .wp-block-woocommerce-cart.alignwide {
	width: 100%;
	margin: auto;
}

.woocommerce-cart main, .woocommerce-checkout main {
	margin: 3rem auto;
	max-width: 1140px;
}

.woocommerce-cart .wc-block-cart-items .wc-block-cart-items__header {
	border-color: #C5C7C6;
}

.woocommerce-cart .wc-block-cart-items .wc-block-cart-items__header th {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	text-transform: none;
}

.woocommerce-cart .wc-block-cart-items .wc-block-components-product-name {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	text-decoration: none;
}

.woocommerce-cart .wc-block-cart-item__total .wc-block-components-product-price {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.woocommerce-cart .wc-block-cart-item__prices .wc-block-components-product-price {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.woocommerce-cart .is-large.wc-block-cart .wc-block-cart-items td  {
	border-top: 0;
	border-bottom: 0;
}

.woocommerce-cart .wc-block-cart-items thead {
	border-bottom: 1px solid #C5C7C6;
}

.woocommerce-cart .editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link, 
.woocommerce-cart table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link {
	color: #214181 !important;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	text-decoration: underline !important;
}

.woocommerce-cart .is-large.wc-block-cart .wc-block-cart-items {
	border-bottom: 0;
}

.woocommerce-cart .wp-block-woocommerce-cart-order-summary-block {
	padding: 24px;
	background-color: #FAFAFA;
}

.woocommerce-cart .is-large.wc-block-cart .wc-block-cart__totals-title {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	text-transform: none;
}

.woocommerce-cart .wc-block-components-shipping-calculator-address__button,
.woocommerce-cart .wc-block-cart__submit-button,
.woocommerce-cart .wc-block-components-totals-coupon__button,
.woocommerce-checkout .wc-block-components-checkout-place-order-button,
.woocommerce-checkout .wc-block-components-totals-coupon__button {
	background-color: #214181 !important;
	border-radius: 4px !important;
	outline: none;
	border-color: transparent;
	box-shadow: none !important;
	text-decoration: none;
}

.woocommerce-cart .wc-block-components-shipping-calculator-address__button .wc-block-components-button__text,
.woocommerce-cart .wc-block-cart__submit-button .wc-block-components-button__text,
.woocommerce-cart .wc-block-components-totals-coupon__content .wc-block-components-button__text,
.woocommerce-checkout .wc-block-components-checkout-place-order-button .wc-block-components-checkout-place-order-button__text,
.woocommerce-checkout .wc-block-components-totals-coupon__button .wc-block-components-button__text {
	color: #fff;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.woocommerce-cart .arrow-left-cart {
	display: flex;
	justify-content: center;
	gap: 5px;
}

.woocommerce-cart .arrow-left-cart a {
	text-decoration: none;
	cursor: pointer;
}

.woocommerce-cart .arrow-left-cart::before {
	content: url('/wp-content/uploads/2025/04/fleche-gauche-left.svg');
	margin-top: 2px;
}

.wp-block-woocommerce-cart-cross-sells-block .cross-sells-product,
.woocommerce-cart .wc-block-grid__product {
	border: 1px solid #C5C7C6;
	border-radius: 4px;
	padding: 16px !important;
    margin: 10px;
}

.wp-block-woocommerce-cart-cross-sells-block .cross-sells-product img.product-image,
.woocommerce-cart .wc-block-grid__product .attachment-woocommerce_thumbnail {
	border-radius: 4px;
}

.wp-block-woocommerce-cart-cross-sells-block .cross-sells-product .wc-block-components-product-name,
.woocommerce-cart .wc-block-grid__product .wc-block-grid__product-title {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 20px;
	font-style: normal;
	font-weight: 700 !important;
	line-height: 24px;
	text-decoration: none !important;
}

.woocommerce-cart .wc-block-grid__product a {
	text-decoration: none;
}

.wp-block-woocommerce-cart-cross-sells-block .cross-sells-product .wp-block-cart-cross-sells-product__product-price__value,
.woocommerce-cart .wc-block-grid__product .woocommerce-Price-amount {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 26px !important;
	font-style: normal;
	font-weight: 700;
	line-height: 26px;
}

.wp-block-woocommerce-cart-cross-sells-block .cross-sells-product .add_to_cart_button,
.woocommerce-cart .wc-block-grid__product .wp-block-button__link {
	border-radius: 4px;
	background: #214181;
	color: #FFF;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px !important;
	font-style: normal;
	font-weight: 700;
	line-height: 24px !important;
	width: 100% !important;
	text-decoration: none;
}

.woocommerce-cart .wc-block-cart table.wc-block-cart-items {
	margin-bottom: 6rem;
}

.woocommerce-cart table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image img {
	max-width: 200px;
	width: 200px;
}

@media (max-width: 1199px) {
	.woocommerce-cart table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image img {
		max-width: 100%;
		width: 100%;
	}
}

/* Validation de commande */
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input input:-webkit-autofill, 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input.is-active input[type=email], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input.is-active input[type=number], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input.is-active input[type=password], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input.is-active input[type=tel], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input.is-active input[type=text], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input.is-active input[type=url], 
.woocommerce-checkout .wc-block-components-text-input input:-webkit-autofill, 
.woocommerce-checkout .wc-block-components-text-input.is-active input[type=email], 
.woocommerce-checkout .wc-block-components-text-input.is-active input[type=number], 
.woocommerce-checkout .wc-block-components-text-input.is-active input[type=password], 
.woocommerce-checkout .wc-block-components-text-input.is-active input[type=tel], 
.woocommerce-checkout .wc-block-components-text-input.is-active input[type=text], 
.woocommerce-checkout .wc-block-components-text-input.is-active input[type=url] {
	padding: 1.5em 32px 8px !important;
}

.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input input:-webkit-autofill+label, 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input.is-active label, 
.woocommerce-checkout .wc-block-components-text-input input:-webkit-autofill+label, 
.woocommerce-checkout .wc-block-components-text-input.is-active label,
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input label, 
.woocommerce-checkout .wc-block-components-text-input label{
	left: 32px;
}

.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input input[type=email], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input input[type=number], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input input[type=password], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input input[type=tel], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input input[type=text], 
.woocommerce-checkout .wc-block-components-form .wc-block-components-text-input input[type=url], 
.woocommerce-checkout .wc-block-components-text-input input[type=email], 
.woocommerce-checkout .wc-block-components-text-input input[type=number], 
.woocommerce-checkout .wc-block-components-text-input input[type=password], 
.woocommerce-checkout .wc-block-components-text-input input[type=tel], 
.woocommerce-checkout .wc-block-components-text-input input[type=text], 
.woocommerce-checkout .wc-block-components-text-input input[type=url] {
    background-color: #fff;
    border: 1px solid #C5C7C6;
    border-radius: 4px;
    box-sizing: border-box;
    color: #7A7A7A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 24px;
    height: 3.125em;
    line-height: 1em;
    margin: 0;
    min-height: 0;
    padding: 8px 32px !important;
    width: 100%;
}

.woocommerce-checkout .wc-block-components-checkout-step__heading {
	color: #2A2A2A;
	font-family: "nunito-sans", sans-serif;
	font-size: 26px;
	font-style: normal;
	font-weight: 700;
	line-height: 26px;
}

.woocommerce-checkout .wc-block-components-checkout-step__description {
	color: #2A2A2A;
	font-family: "nunito-sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 24px;
}

.woocommerce-checkout .wc-block-checkout__shipping-method-option {
	border-radius: 6px;
}

.woocommerce-checkout .wc-block-checkout__shipping-method-option--selected {
	background-color: #3269D9 !important;
	outline: none !important;
}

.woocommerce-checkout .wc-block-checkout__shipping-method-option--selected svg,
.woocommerce-checkout .wc-block-checkout__shipping-method-option--selected .wc-block-checkout__shipping-method-option-title {
	color: #fff;
	fill: #fff;
}

.woocommerce-checkout .wc-block-components-radio-control .wc-block-components-radio-control__input:checked:before,
.woocommerce-checkout .wc-block-components-radio-control__input:checked:before {
	content: url('/wp-content/uploads/2025/04/Radiobutton-items.svg');
	background: transparent;
    border-radius: unset;
    height: unset;
    left: -1px;
    margin: 0;
    min-height: unset;
    min-width: unset;
    position: absolute;
    top: -1px;
    transform: unset;
    width: unset;
}

.woocommerce-checkout .wc-block-components-radio-control__option.wc-block-components-radio-control__option-checked,
.woocommerce-checkout .wc-block-components-radio-control-accordion-option.wc-block-components-radio-control-accordion-option--checked-option-highlighted {
	box-shadow: none !important;
	border: 1px solid #3269D9;
}

.woocommerce-checkout .wc-block-components-radio-control__option,
.woocommerce-checkout .wc-block-components-radio-control-accordion-option {
	box-shadow: none !important;
	border: 1px solid #E2E2E2;
	margin: 8px 0;
	border-radius: 16px;
}

.woocommerce-checkout .wc-block-components-address-form__address_2-toggle {
	color: #214181;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 24px;
}

.woocommerce-checkout .wc-block-components-checkout-step__content .wc-block-components-radio-control__option.wc-block-components-radio-control__option-checked,
.woocommerce-checkout .wc-block-components-checkout-step__content .wc-block-components-radio-control-accordion-option.wc-block-components-radio-control-accordion-option--checked-option-highlighted,
.woocommerce-checkout  .wc-block-components-shipping-rates-control__package .wc-block-components-radio-control__option.wc-block-components-radio-control__option-checked,
.woocommerce-checkout .wc-block-components-shipping-rates-control__package .wc-block-components-checkout-step__content .wc-block-components-radio-control-accordion-option.wc-block-components-radio-control-accordion-option--checked-option-highlighted {
	border-radius: 16px;
}

.woocommerce-checkout .wc-block-components-radio-control--highlight-checked:after,
.woocommerce-checkout .wc-block-checkout__payment-method .wc-block-components-radio-control__option:last-child:after,
.woocommerce-checkout .wc-block-checkout__payment-method .wc-block-components-radio-control-accordion-option:last-child:after,
.woocommerce-checkout .wc-block-components-radio-control--highlight-checked div.wc-block-components-radio-control-accordion-option:after {
	background: none !important;
	border-width: 0 !important;
}

.woocommerce-checkout main {
	margin: 4rem auto;
}

.woocommerce-account main {
	margin: 4rem auto;
	max-width: 1140px;
}

.woocommerce-checkout .wc-block-components-checkout-return-to-cart-button {
	color: #214181;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 24px;
	text-decoration: none;
}

.woocommerce-checkout .wc-block-components-checkout-return-to-cart-button svg {
	fill: #D92929;
}

.woocommerce-checkout .wc-block-components-checkout-order-summary__title-text {
	color: #2A2A2A;
	font-family: "Nunito Sans";
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.woocommerce-checkout .wc-block-components-product-name,
.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block .wc-block-components-formatted-money-amount.wc-block-components-order-summary-item__individual-price {
	color: #2A2A2A;
	font-family: "Nunito Sans";
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 22px;
}

.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block  .wc-block-components-formatted-money-amount {
	color: #2A2A2A;
	font-family: "Nunito Sans";
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block .wp-block-woocommerce-checkout-order-summary-totals-block .wc-block-components-formatted-money-amount {
	font-size: 16px;
	font-weight: 400;
	line-height: 24px;
}

.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-metadata__description p {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 14px;
	font-style: normal;
	font-weight: 400;
	line-height: 22px !important;
}

.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block .wc-block-components-order-summary .wc-block-components-order-summary-item__quantity {
	border-radius: 77px;
	border: 1px solid #3269D9;
	background: #F0F5FF;
}

.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block .wc-block-components-order-summary .wc-block-components-order-summary-item__quantity span {
	color: #3269D9;
	font-family: "Nunito Sans";
	font-size: 12px;
	font-style: normal;
	font-weight: 400;
	line-height: 12px;
}


/* Confirmation commande */
.woocommerce-order-received .woocommerce-order-overview {
	padding-left: 0;
	display: flex;
	justify-content: flex-start;
}

.woocommerce-order-received .woocommerce-order-overview li {
	padding: 0 2rem !important;
	margin: 0 !important;
	border-right: 1px solid #E2E2E2 !important;
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 16px !important;
	font-style: normal;
	font-weight: 400;
	line-height: 24px !important;
	text-transform: none !important;
}

.woocommerce-order-received .woocommerce-order-overview li:last-of-type {
	border-right: 0 !important;
}

.woocommerce-order-received .woocommerce-order-overview li:first-of-type {
	padding: 0 2rem 0 0 !important;
}

.woocommerce-order-received ul.order_details li strong {
	font-size: 16px !important;
}

.woocommerce-order-received .woocommerce-order-overview::before,
.woocommerce-order-received .woocommerce-order-overview::after {
	display: none !important;
}

.woocommerce-order-received .woocommerce-order-details__title,
.woocommerce-order-received .woocommerce-column__title {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-size: 26px;
	font-style: normal;
	font-weight: 700;
	line-height: 26px;
}

.woocommerce-order-received table.shop_table {
	border: none;
	border-collapse: collapse;
	border-color: #e2e2e2;
}

.woocommerce-order-received table.shop_table .woocommerce-table__line-item.order_item {
	background-color: #F0F5FF;
}

.woocommerce-order-received table.shop_table .woocommerce-table__product-name.product-name a {
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	text-decoration: none;
}

.woocommerce-order-received .woocommerce-table--custom-fields {
	border-top: 1px solid rgba(0,0,0, 0.2) !important;
}

.woocommerce-order-received table tbody>tr:nth-child(odd)>td, 
.woocommerce-order-received table tbody>tr:nth-child(odd)>th {
	background-color: #F0F5FF;
}

.woocommerce-order-received .woocommerce-column--billing-address address,
.woocommerce-order-received .woocommerce-column--shipping-address address {
	box-shadow: none !important;
	padding: 16px;
	border-bottom-width: 1px;
    border-right-width: 1px;
	color: #2A2A2A;
	font-family: "Nunito Sans", sans-serif;
	font-style: normal;
	font-size: 16px;
	font-weight: 400;
	line-height: 24px;
}

.woocommerce-order-received .woocommerce-column--billing-address .woocommerce-customer-details--phone,
.woocommerce-order-received .woocommerce-column--shipping-address .woocommerce-customer-details--phone {
	margin-bottom: 0;
}

.woocommerce-order-received .woocommerce-column--billing-address .woocommerce-customer-details--phone::before,
.woocommerce-order-received .woocommerce-column--shipping-address .woocommerce-customer-details--phone::before {
	content: url('/wp-content/uploads/2025/04/Icons-3.svg');
}

.woocommerce-order-received .woocommerce-column--billing-address .woocommerce-customer-details--email::before,
.woocommerce-order-received .woocommerce-column--shipping-address .woocommerce-customer-details--phone::before {
	content: url('/wp-content/uploads/2025/04/Icons-1-1.svg');
}

.woocommerce-new-products.related-products .product-button-top {
    background-color: #ffffff;
	color: #214181;
	width: 100%;
	padding: 12px 20px;
	border-radius: 4px;
	border: 1px solid #214181;
	display: flex;
	justify-content: center;
	margin-top: 12px;
}

.woocommerce-new-products.related-products .product-button-top:hover {
	border: 1px solid #3269D9;
	color : #3269D9;
}

/* Compte */
.woocommerce-account main * {
    color: #2A2A2A !important;
    text-decoration: none !important;
}

.woocommerce-account main {
    padding: 1rem 1rem 4rem 1rem;
}

.woocommerce-account main h1 {
    padding-bottom: 2rem;
}

.woocommerce-account main ul {
	list-style-type: none !important;
	padding-left: 0;
}

.wc-block-checkout .wc-block-components-address-card__edit:hover {
	background: #3269d9 !important;
}

.elementor-widget-woocommerce-products .products .product .woocommerce-loop-product__buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.woocommerce-Tabs-panel--description.panel h2 {
	display: none;
}

.wp-block-woocommerce-checkout-terms-block .wc-block-components-checkbox__label a {
	color: #2A2A2A;
}

.products .product .woocommerce-loop-product__buttons {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.products .product .woocommerce-loop-product__buttons .added_to_cart {
    text-decoration: underline;
	color: #3269D9;
}

/* Produit thumbnail combinaison */
#thumb-slider .item.variation-item {
    display: flex;
    justify-content: center;
}

/* Sélecteur de quantité */
.single-product.woocommerce .quantity .qty {
    width: 90px !important;
}

/* Price color */
#custom-price-display, #custom-price-display span {
	color: #3269D9;
	font-family: var(--font);
	font-size: 26px;
	font-style: normal;
	font-weight: 800;
	line-height: 26px;
}

.single-product .woocommerce-variation-price {
    display: none;
}

.product.type-product .product-price .tax.texte {
	color: #2A2A2A;
	font-family: "Nunito Sans";
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 24px;
}

.single_variation_wrap .single_add_to_cart_button {
	width: max-content !important;
}

/*.single_variation_wrap .quantity {
	width: 22%;
}

@media (max-width: 400px) {
	.single_variation_wrap .quantity {
		width: 30%;
	}
	
	.single_variation_wrap .single_add_to_cart_button.wc-variation-selection-needed {
		width: 60% !important;
	}
} */

.wc-block-cart-items__row .wapf-edit-cartitem {
	color: #214181;
}

.wapf-product-totals {
	display: none;
}

nav.woocommerce-breadcrumb {
	font-weight: 400 !important;
	
	a {
		font-weight: 700;
	}
}

.products .product .woocommerce-loop-product__title {
	margin-bottom: 20px !important;
}

.products .product .woocommerce-loop-product__title a {
	color: #2A2A2A;
	font-family: "Nunito Sans";
	font-size: 20px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
}

.products .product .btn-obf {
	width: 100%;
	color: #FFF;
	font-family: "Nunito Sans";
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	border-radius: 4px;
	background: #214181;
	padding: 12px 20px;
	text-align: center;
}